<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>custom-query</artifactId>
        <groupId>cn.fateverse</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>custom-query-biz</artifactId>

    <properties>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
        <maven.deploy.skip>true</maven.deploy.skip>
    </properties>



    <dependencies>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>custom-query-submter</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-security</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-swagger</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-log</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-decrypt</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>admin-api</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>cn.fateverse</groupId>-->
<!--            <artifactId>common-seata</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>custom-query-api</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>org.mariadb.jdbc</groupId>
            <artifactId>mariadb-java-client</artifactId>
            <version>2.1.2</version>
        </dependency>
        <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
            <version>42.2.5</version>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-code</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.fateverse</groupId>
            <artifactId>common-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
        </dependency>
    </dependencies>
    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.3</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>11</source>
                    <target>11</target>
                </configuration>
            </plugin>
        </plugins>
    </build>


</project>